VOP_STRATEGY(9)

NAME
VOP_STRATEGY - read or write a filesystem buffer

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
#include <sys/buf.h>
int
VOP_STRATEGY(struct buf *bp);

DESCRIPTION

The arguments are:

bp  the buffer to be read or written

This call either reads or writes data from a file, depending on the value of bp->b_flags.

RETURN VALUES
Zero is returned on success, otherwise an error is returned.

SEE ALSO
vnode(9), buf(9)

AUTHORS
This man page was written by Doug Rabson.